---
runtime: pyspark
type: punchline
version: '6.0'
dag:
- type: sqlite3_input
  component: ingest
  settings:
    database_path: "/tmp/advance_output_example.db"
    sql_query: select * from test_table
  publish:
  - stream: data
  subscribe: []
- type: sqlite3_output
  component: sink
  settings:
    create_table_if_not_exist: true
    database_path: "/tmp/advance_output_example.db"
    table_columns:
      name: text
      age: real
    table_name: test_table
  publish: []
  subscribe:
  - component: ingest
    stream: data
